# Phonenumbers ## List phone numbers (deprecated) `client.phonenumbers.list(RequestOptionsoptions?): PhonenumberListResponse` **get** `/v3/phonenumbers` **Deprecated.** Use `GET /v3/phone_numbers` instead. ### Returns - `PhonenumberListResponse` - `phone_numbers: Array` List of phone numbers assigned to the partner - `id: string` Unique identifier for the phone number - `phone_number: string` Phone number in E.164 format - `capabilities?: Capabilities` - `mms: boolean` Whether MMS messaging is supported - `sms: boolean` Whether SMS messaging is supported - `voice: boolean` Whether voice calls are supported - `country_code?: string` Deprecated. Always null. - `type?: string | null` Deprecated. Always null. ### Example ```typescript import LinqAPIV3 from '@linqapp/sdk'; const client = new LinqAPIV3({ apiKey: process.env['LINQ_API_V3_API_KEY'], // This is the default and can be omitted }); const phonenumbers = await client.phonenumbers.list(); console.log(phonenumbers.phone_numbers); ``` #### Response ```json { "phone_numbers": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "phone_number": "+12025551234", "capabilities": { "mms": true, "sms": true, "voice": false }, "country_code": "US", "type": null } ] } ``` ## Domain Types ### Phonenumber List Response - `PhonenumberListResponse` - `phone_numbers: Array` List of phone numbers assigned to the partner - `id: string` Unique identifier for the phone number - `phone_number: string` Phone number in E.164 format - `capabilities?: Capabilities` - `mms: boolean` Whether MMS messaging is supported - `sms: boolean` Whether SMS messaging is supported - `voice: boolean` Whether voice calls are supported - `country_code?: string` Deprecated. Always null. - `type?: string | null` Deprecated. Always null.